Description: Skip tests when NO_NETWORK is found in the environment
 This patch is inspired by the failures during automated builds of Debian
 packages, but may be useful also for CPAN auto-builders, in which case
 s/NO_NETWORK/AUTOMATED_TESTING/ is in order. Debian autobuilders run with
 networking disabled. Skipping tests that connect to remote hosts can be good
 for the privacy of the CPAN autobuilders too.
Bug-Debian: https://bugs.debian.org/713378
Author: Damyan Ivanov <dmn@debian.org>
Forwarded: no, bugtracker is at https://code.google.com/p/get-flash-videos/issues

--- a/t/google_video_search.t
+++ b/t/google_video_search.t
@@ -5,6 +5,9 @@
 use Test::More;
 use FlashVideo::Site::Googlevideosearch;
 
+plan skip_all => "NO_NETWORK found in environment"
+    if $ENV{NO_NETWORK};
+
 {
   my $mech = FlashVideo::Mechanize->new;
   $mech->get("http://www.google.com");
